Subject: Re: [tcpm] I-D Action: draft-ietf-tcpm-newcwv-00.txt

From: "Scheffenegger, Richard" <[email-masked]>
Date: Tue, 12 Mar 2013 11:45:34 +0000

A few nits:

Typo: unacknoeledged

Missing space: [RFC3517]is

References to RFC3517 should be updated to RFC6675

" A TCP sender that enters the non-validated phase will preserve the
   cwnd (i.e., this neither grows nor reduces while the sender remains
   in this phase). The phase is concluded after a fixed period of time
   (the NVP, as explained in section 4.3.2) or when the sender transmits
   sufficient data so that pipeACK > (1/2)*cwnd (i.e. it is no longer
   rate-limited)."

One still wants to allow cwnd reduction on congestion events, even in the non-validated phase, as explained shortly afterwards. So cwnd might shrink - this is explain in the 2. Bullet point below. Perhaps the initial text before the bullet points should allude to this behavior described a few sentences further in a bullet point?

" Where IW is the TCP inital window [RFC5681]"

Any point in explicitly mentioning/referencing IW10? I'm mentioning this after the discusson on the list regarding a similar text in FastOpen... This is also mentioned in the discussion points (section 9) though. I'm proposing something like

"Where IW is the appropriate TCP initial window, used by the TCP sender (e.g. [RFC5681])".

That leaves it to the implementer to also use IW10 if he chooses to...

Best regards,

Richard Scheffenegger

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Donnerstag, 14. Februar 2013 19:12
> To: [email-masked]
> Cc: [email-masked]
> Subject: [tcpm] I-D Action: draft-ietf-tcpm-newcwv-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>  This draft is a work item of the TCP Maintenance and Minor Extensions
> Working Group of the IETF.
> 
> 	Title           : Updating TCP to support Rate-Limited Traffic
> 	Author(s)       : Godred Fairhurst
>                           Arjuna Sathiaseelan
> 	Filename        : draft-ietf-tcpm-newcwv-00.txt
> 	Pages           : 16
> 	Date            : 2013-02-14
> 
> Abstract:
>    This document proposes an update to RFC 5681 to address issues that
>    arise when TCP is used to support traffic that exhibits periods where
>    the sending rate is limited by the application rather than the
>    congestion window.  It updates TCP to allow a TCP sender to restart
>    quickly following either an idle or rate-limited interval.  This
>    method is expected to benefit applications that send rate-limited
>    traffic using TCP, while also providing an appropriate response if
>    congestion is experienced.
> 
>    It also evaluates TCP Congestion Window Validation, CWV, an IETF
>    experimental specification defined in RFC 2861, and concludes that
>    CWV sought to address important issues, but failed to deliver a
>    widely used solution.  This document therefore proposes an update to
>    the status of RFC 2861 by recommending it is moved from Experimental
>    to Historic status, and that it is replaced by the current
>    specification.
> 
>    NOTE: The standards status of this WG document is under review for
>    consideration as either Experimental (EXP) or Proposed Standard (PS).
>    This decision will be made later as the document is finalised.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-newcwv
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-tcpm-newcwv-00
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm